using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApp39
{
    class Program
    {
        static void Main(string[] args)
        {
            long  g,m,d,a,b,c,p,k,br=0;
            string[] r = Console.ReadLine().Split(); 
            a = long.Parse(r[0]);
            b = long.Parse(r[1]);
            c = long.Parse(r[2]);
            p = long.Parse(r[3]);
            k = long.Parse(r[4]);
            double p1, p2, p3;
            p1 = a;
            p2 = b;
            p3 = c;
            //a = int.Parse(Console.ReadLine());
            for (long i = p; i <= k; i++)
            {
                p1=Math.Ceiling(i / p1);
                p2=Math.Ceiling(i / p2);
                p3 = Math.Ceiling(i / p3);
                g = Convert.ToInt64(p1);
                m = Convert.ToInt64(p2);
                d = Convert.ToInt64(p3);

                if (g + m + d < i) br++;
            }
            Console.WriteLine(br);
            Console.ReadLine();
            {

            }
        }
    }
}